@charset "UTF-8";
/* -------------------------------------------
ベース
------------------------------------------- */
/* 変数 */
:root {
  --font-base: "M PLUS 2", sans-serif;
  --font-nav: "Noto Sans JP", sans-serif;
}

html {
  scroll-behavior: smooth;
}

a:hover {
  opacity: 0.7;
}

address {
  font-style: normal;
}

/* 調整 */
.sns {
  z-index: 50;
   --sns-button-group-height: 139px;
}

.sns__image-wrapper--full-icon{
  display: flex;
  align-items: center;
  justify-content: center;
  aspect-ratio: 1/1;
}

.sns__full-icon{
  width: 67%;
  aspect-ratio: 1/1;
}


@media (min-width: 769px) {
  .sns {
    --sns-button-group-bottom-space: 54px;
  }

}


/* -------------------------------------------
 mein-container
------------------------------------------- */

.mein-container {
  position: relative;
  font-family: var(--font-base);
  color: #000000;
  padding-top: 64px;
  font-feature-settings: 'palt';
  letter-spacing: 0.05em;  
  overflow: clip;
  

  &::after {
    content: "";
    display: block;
    position: fixed;
    z-index: -1;
    width: 100%;
    height: 100dvh;
    top: 0;
    left: 0;
    background: repeat center top /120px url(../images/bg-pc.svg),#C54C52;
  }
}


main.mein-container__inner {  
  width: 100%;
  max-width: 500px;
  margin-block: 0;
  margin-inline: 0;
  background: repeat center /100px url(../images/bg.svg),#F9CACC;
}

.mein-container__footer {
  text-align: center;
  padding-bottom: 50px;
  font-size: 12px;
}

@media (min-width: 769px) {
  .mein-container__inner-wrap {
    width: 100%;
    display: flex;
    padding-right: max(calc(50% - (min(100%, 500px) / 2)), 400px);
    align-content: flex-start;
    justify-content: flex-end;
    flex-wrap: nowrap;
  }
}

@media (max-width: 768px) {


  main.mein-container__inner {
    padding-top: 0;margin-inline: auto;
  }
}

@media (max-width: 428px) {
  .mein-container {
    padding-top: 48px;
  }


}

@media screen and (max-width: 375px){
  main.mein-container__inner {  
  padding-bottom: 0;
  }
}

/* -------------------------------------------
 logo
------------------------------------------- */

.main-side-logo{
    position: absolute;
    top: 0;
    left: 0;
    width:  min(calc(100% - (500px + 400px)),calc(50% - (min(100%, 500px) / 2)));
    height: 100%;
}

.main-side-logo__inner{
  position: sticky;
  width: min(100% , 438px);
  height: 100dvh;
  top: 0;
  left: 0;
  margin-inline: auto;
}

.main-side-logo__img{
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center;
}

 @media (max-width: 1024px) {
  .main-side-logo{
    display: none;
  }
 }

/* -------------------------------------------
 nav
------------------------------------------- */

.nav__switch {
  display: none;
}

.nav__content {
  color: #000;
  font-family: var(--font-nav);
  line-height: 1.2;
  letter-spacing: 0.1em;
  display: flex;
  overflow-y: auto;
  row-gap: min(9dvh ,9rem);
}

.nav__menu {
  width: 95%;
  display: flex;
  flex-direction: column;
    align-items: center;
  gap: min(7dvh ,7rem);
}

.nav__menu-list{
display: flex;
  flex-direction: column;
    align-items: center;
  gap: min(3dvh ,3rem);
}

.nav__item {
  font-size:1.375rem;
  font-weight: 800;
  line-height: 150%;
  display: flex;
  color: #fff;
}

.nav__item--sns{
    height: 31px;
    aspect-ratio: 1 / 1;
    background: #fff;
    mask-image: url(../images/icon-x.svg);
    mask-size: contain;
    mask-repeat: no-repeat;
    mask-position: center;
    display: block;
}

.nav__logo{
display: block;
    width: 100%;
    max-width: 250px;
    height: auto;
}

.nav__logo-img{
  width: 100%;
  height: 100%;
}

@media (min-width: 769px) {
  [id^='n_'] {
    scroll-margin-top: 64px;
  }

  .nav {
    top: 0;
    right: 0;
    position: absolute;
    z-index: 50;
    width: max(calc(50% - (min(100%, 500px) / 2)), 400px);
    font-size: clamp(11px, calc(11px + (18 - 11) * (100vw - 375px) / (1300 - 375)), 18px);
    height: 100%;
    box-sizing: border-box;
    pointer-events: none;
    align-items: center;
  }

  .nav__content {
    position: relative; 
    flex-direction: column;
    width: 100%;
    height: 100dvh;
    pointer-events: all;
    align-items: center;
    justify-content: center;
        position: sticky;
    top: 0;
    padding-top: 64px;
  }

  .nav__item {
    font-size: min(2.041vh, 1.25rem);
  text-shadow: 0px 4px 4px #76424299;
  }

  .nav__item:hover {
    opacity: 0.7;
  }
}


@media (max-width: 768px) {
  [id^='n_'] {
    scroll-margin-top: 64px;
  }

  .nav {
    top: 0;
    z-index: 9999;
    position: sticky;  
  }

  .nav__logo{
    position: absolute;
    top: 15px; 
    left: 15px;
    width: 50%;
max-width: 150px;
  }

  .nav__content {
    background:repeat center /150px url(../images/bg-nav-menu.svg) ,#F8C9D6;
    position: fixed;
    font-size: 24px;
    flex-direction: column;
    align-items: center;
    gap: 1em;
    padding-block: 64px 1em;
    padding-inline: 1em;
    height: 100vh;
    height: 100dvh;
    width: 100%;
    top: 0;
    right: 0;
    transform: translateX(100%);
    transition: all 0.5s;
    z-index: 51;
    text-align: center;
        justify-content: center;

  }


  .nav__item {
    color: #9E635F;
    font-size: min(5.128vw, 20px);
  }

  .nav__item:hover {
    opacity: 0.7;
  }

  .nav__item--sns{
        background: #9E635F;
  }

  .nav__switch:checked~.nav__content {
    transform: translateX(0%);
  }

  .nav__bg {
    background: #00000048;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 64px;
    left: 0;
    opacity: 0;
    transition: all 0.5s;
    pointer-events: none;
    z-index: 50;
    backdrop-filter: blur(2px);
  }

  .nav__switch:checked~.nav__bg {
    opacity: 1;
    pointer-events: all;
  }

  .nav__hamburger {
    background: #fff;
    width: 41px;
    display: block;
    height: 41px;
    margin-left: auto;
    position: fixed;
    top: calc(64px + 15px);
    right: 15px;
    z-index: 52;
    box-shadow: 0px 4px 4px 0px #97898940;
    border-radius: 9999px;
    transition: top 0.5s;
  }

  .nav__hamburger::before,
  .nav__hamburger::after {
    content: '';
  }

  .nav__hamburger .nav__hamburger-equipment,
  .nav__hamburger::before,
  .nav__hamburger::after {
    width: 36%;
    display: block;
    height: 1px;
    border-radius: 3px;
    background-color: #C54C52;
    transition: 0.3s;
    left: calc(50% - (36% / 2));
    position: absolute;
  }

  .nav__hamburger::before {
    top: calc(50% - 5.5px);
  }

  .nav__hamburger .nav__hamburger-equipment {
    top: calc(50% - 0.5px);
  }

  .nav__hamburger::after {
    top: calc(50% + 4.5px);
  }

   .nav__switch:checked~  .nav__hamburger {
      top: 15px;
   }

  .nav__switch:checked~.nav__hamburger::before {
    transform: rotate(45deg);
 top: calc(50% - 0.5px);
  }

  .nav__switch:checked~.nav__hamburger .nav__hamburger-equipment {
    opacity: 0;
  }

  .nav__switch:checked~.nav__hamburger::after {
    transform: rotate(-45deg);
 top: calc(50% - 0.5px);
  }

  /* ナビゲーションメニューオープン時スクロール不可 */
  html:has(.nav__switch:checked) {
    overflow: hidden;
  }
}

@media (max-width: 428px) {
  [id^='n_'] {
    scroll-margin-top: 48px;
  }

  .nav__hamburger {
    top: calc(48px + 10px);
  }
}


/* -------------------------------------------
 main-header
------------------------------------------- */
.main-header {
  width: 100%;
}

.main-header__mv {
  width: 100%;
  max-width: 500px;
 position: relative;
}

@media (min-width: 769px) {
  .main-header {
    display: flex;
    justify-content: flex-end;
    padding-right: max(calc(50% - (min(100%, 500px) / 2)), 400px);
  }
}

 @media (max-width: 768px) {
  .main-header__mv{
    margin-inline: auto;
    
  }
 }

 /* -------------------------------------------
 section-nav
------------------------------------------- */

.section-nav{
  width: 90%;
  margin-inline: auto;
  padding-block: 2rem;
  display: flex;
  gap: 1.125rem;
  flex-wrap: wrap;
  justify-content: center;
}

.section-nav__item{
  color: #fff;
  font-family: var(--font-nav);
  background: repeat center/30px url(../images/bg-anker.svg);
  box-shadow: 0px 2px 4px 0px #B55B5F73;
  font-weight: bold;
  width: calc((100% - (1.125rem * 2))/ 3);
  text-align: center;
  font-size: min(5.2vw, 1.25rem);
  padding: 0.5em;
  line-height: 1;
}

/* -------------------------------------------
 main-section
------------------------------------------- */
.main-section {
  font-family: var(--font-base);
  color: #111;
}



/* -------------------------------------------
 fair-item
------------------------------------------- */
.fair-item{
  background: repeat-x center bottom/auto 3.125rem url(../images/lace.svg),linear-gradient(0deg ,transparent 0%,transparent 2.5rem,#FCE3E5 2.5rem,#FCE3E5 100%);
  display: flex;
  flex-direction: column;
  gap: 2.1875rem;
  padding-bottom: 2.5rem;
      margin-bottom: 3rem;
}

/* タイトル */

.fair-item__ttl{
 background: linear-gradient(90deg, #E86187 25.66%, #FEACC3 100%);
  color: #fff;
  text-align: center;
  font-weight: 700;
  font-size: 1.25rem;
  padding: 0.7em;
}

 @media (max-width: 768px) {
  .fair-item__ttl{
    font-size: 1.125rem;
  }
 }

.fair-item__banner{
  width: 89%;
  max-width: 368px;
  margin-inline: auto;
}

/* スケジュール */

.fair-item__schedule{
  width: 89%;
  max-width: 368px;
  margin-inline: auto;
  font-size: 1rem;
}

.fair-item__schedule-ttl{
background: #EF707E;
color: #fff;
text-align: center;
display: flex;
gap: 0.625em;
padding: 0.4375em 0.5em;
justify-content: center;
line-height: 1.2;
&::before{
  content: "";
  display: block;
  aspect-ratio: 1/1;
  width: 1em;
  background: no-repeat center/contain url(../images/icon-schedule.svg);
}
}

.fair-item__schedule-detail{
  background: #fff;
  line-height: 1.5;
  padding: 0.8em 1em;
  text-align: center;
}

/* フェア詳細 */

.fair-item__info{
  width: 89%;
  max-width: 368px;
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: 2.1875rem;
  padding-bottom: 3.75rem;
}

/* フェアテキスト */
.fair-item__text-block{
  line-height: 1.8;
  font-size: 0.875;
}

.fair-item__text:not(:last-child){
  padding-bottom: 1em;
}

.fair-item__text--secondary{
  font-size: 1.25rem;
  font-weight: 500;
color: #E41010;
}

/* フェアボタン */

.fair-item__btn-area{
  display: flex;
  flex-direction: column;
  gap: 1.5625rem;
  align-items: center;
}

.fair-item__btn{
  width: 100%;
  max-width: 230px;
  background: #fff;
  font-size: 1.125rem;
  line-height: 1.2;
  display: block;
  text-align: center;
  border-radius: 999px;
  border:1px solid #EB777C;
  box-shadow: 0px 4px 0px 0px #EB777C;
padding: 0.625em 1.5em;
  
}


/* -------------------------------------------
main-footer
------------------------------------------- */
.main-footer{
  background: #C54C52;
  padding-block: calc(3rem + 3rem) 5rem;
  mask-image:url(../images/mask-footer.svg),linear-gradient(0deg, #000 0%, #000 calc(100% - 5rem),transparent calc(100% - 5rem),  transparent 100%);
  mask-position: center top, center bottom;
  mask-repeat: no-repeat;
  mask-size: 100% auto, 100%;
  mask-composite: add;
}

.main-footer__sns-list{
  display: flex;
  gap: 2.5625rem;
  justify-content: center;
}

.main-footer__sns{
  width: 34px;
  aspect-ratio: 1/1;
  display: block;
}


/* -------------------------------------------
top-btn
------------------------------------------- */
.top-btn{
  background: #fff;
  color: #C54C52;
  border: 2px solid;
  width: max(5vw,60px);
aspect-ratio: 1/1;
font-weight: 700;
display: flex;
position: fixed;
right: 3vw;
bottom: 3vw;
z-index: 70;
font-size: max(1vw,12px);
line-height: 1.2;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 999px;
    opacity: 0;
  visibility: hidden;
  transition: all 0.3s;
}

/* クラスがついた時：表示する */
.top-btn--show {
  opacity: 1;
  visibility: visible;
}

/* -------------------------------------------
レスポンシブ対応
------------------------------------------- */

@media (min-width: 769px) {
  .sp {
    display: none;
  }
}

@media (max-width: 768px) {
  .pc {
    display: none;
  }
}